"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.PackageListCommand = void 0;
// This is the legacy converted command file. Ignoring code-coverage since this is generated.
// THIS SHOULD BE REMOVED WHEN CONVERTED TO EXTEND SfdxCommand
/* istanbul ignore file */
const command_1 = require("@salesforce/command");
const Messages = require("../../../lib/messages");
const messages = Messages();
const consts = require("../../../lib/core/constants");
const PackagingToolbeltCommand_1 = require("../../../PackagingToolbeltCommand");
class PackageListCommand extends PackagingToolbeltCommand_1.PackagingToolbeltCommand {
    async run() {
        const context = await this.resolveLegacyContext();
        const PackageListCommandImpl = require('../../../lib/package/packageListCommand');
        return this.execPackagingLegacyCommand(this.id, new PackageListCommandImpl(), context);
    }
}
exports.PackageListCommand = PackageListCommand;
PackageListCommand.theDescription = messages.getMessage('cliDescription', [], 'package_list');
PackageListCommand.longDescription = messages.getMessage('cliLongDescription', [], 'package_list');
PackageListCommand.help = messages.getMessage('help', [], 'package_list');
PackageListCommand.requiresProject = false;
PackageListCommand.orgType = consts.DEFAULT_DEV_HUB_USERNAME;
PackageListCommand.requiresDevhubUsername = true;
PackageListCommand.flagsConfig = {
    verbose: command_1.flags.builtin({
        description: messages.getMessage('verboseDescription', [], 'package_list'),
        longDescription: messages.getMessage('verboseLongDescription', [], 'package_list'),
    }),
};

//# sourceMappingURL=list.js.map
