import { Optional } from '@salesforce/ts-types';
import { Interfaces } from '@oclif/core';
declare type HookOpts<T> = {
    Command: Interfaces.Command.Class;
    argv: string[];
    commandId: string;
    result: Optional<T>;
};
export declare type OrgCreateResult = {
    accessToken: string;
    clientId: string;
    created: string;
    createdOrgInstance: string;
    devHubUsername: string;
    expirationDate: string;
    instanceUrl: string;
    loginUrl: string;
    orgId: string;
    username: string;
};
declare type PostOrgCreateOpts = HookOpts<OrgCreateResult>;
/**
 * Extends OCLIF's Hooks interface to add types for hooks that run on sfdx org commands
 */
export interface OrgHooks extends Interfaces.Hook<string> {
    postorgcreate: PostOrgCreateOpts;
}
export declare type OrgHook = (this: any, options: any) => any;
export declare namespace OrgHook {
    type PostOrgCreate = OrgHooks['postorgcreate'];
}
export {};
