import { Org, ConfigAggregator } from '@salesforce/core';
/**
 * constructs a create command helper
 *
 * @param force - the force api
 * @constructor
 */
export default class ScratchOrgCreateCommand {
    static readonly SNAPSHOT_UNSUPPORTED_OPTIONS: string[];
    private hubOrg;
    private scratchOrg;
    private scratchOrgInfoId;
    private scratchOrgInfo;
    private varargs;
    private flags;
    private logger;
    private configAggregator;
    private settingsGenerator;
    constructor(hubOrg: Org, flags: any, varargs: any, configAggregator: ConfigAggregator);
    /**
     * executes the command. this is a protocol style function intended to be represented by other commands.
     *
     * @param cliContext - the cli context
     * @param stdinValues - param values obtained from stdin
     * @returns {Promise}
     */
    execute(clientSecret: string): Promise<{
        orgId: string;
        username: string;
    }>;
    private getScratchOrgInfo;
    private updateRevisionCounterToZero;
}
