import { Org, SfProjectJson } from '@salesforce/core';
/**
 * Generates the package2AncestorIds scratch org property
 * Rewrite of similar code in pkgUtils, but without dependency on old toolbelt core
 *
 * @param scratchOrgInfo - the scratchOrgInfo passed in by the user
 * @param projectJson - SfProjectJson
 * @param hubOrg - the hub org, in case we need to do queries
 */
export declare const getAncestorIds: (scratchOrgInfo: any, projectJson: SfProjectJson, hubOrg: Org) => Promise<string>;
/**
 * Takes in a scratchOrgInfo and fills in the missing fields
 *
 * @param hubOrg
 * @param scratchOrgInfoPayload - the scratchOrgInfo passed in by the user
 * @param nonamespace - true if the org should have no namespace
 * @param ignoreAncestorIds - true if the sfdx-project.json ancestorId keys should be ignored
 */
export declare const generateScratchOrgInfo: ({ hubOrg, scratchOrgInfoPayload, nonamespace, ignoreAncestorIds, }: {
    hubOrg: Org;
    scratchOrgInfoPayload: any;
    nonamespace?: boolean;
    ignoreAncestorIds?: boolean;
}) => Promise<any>;
