declare class PackageConvertCommand {
    [property: string]: any;
    private DESCRIPTOR_FILE;
    private logger;
    private maxRetries;
    private packageVersionCreateCommand;
    constructor();
    execute(context: any): Promise<any>;
    private innerExecute;
    /**
     * Convert the list of command line options to a JSON object that can be used to create an Package2VersionCreateRequest entity.
     *
     * @param context: command context
     * @param packageId: package2 id to create a package version for
     * @returns {{Package2Id: string, Package2VersionMetadata: *, Tag: *, Branch: number}}
     * @private
     */
    private createPackageVersionCreateRequest;
    private createRequestObject;
    /**
     *
     * @param result - the data representing the Package Version, must include a 'Status' property
     * @returns {string} a human readable message for CLI output
     */
    getHumanSuccessMessage(result: any): any;
}
export = PackageConvertCommand;
