declare class PackageInstallCommand {
    [property: string]: any;
    confirmPrompt: (message: string) => Promise<boolean>;
    constructor(confirmPrompt?: (message: string) => Promise<boolean>);
    poll(context: any, id: any, retries: any): any;
    _waitForApvReplication(remainingRetries: any): Promise<any>;
    /**
     * This installs a package version into a target org.
     *
     * @param context: heroku context
     * @returns {*|promise}
     */
    execute(context: any): Promise<any>;
    _prompt(noninteractive: boolean, message: string): Promise<boolean>;
    /**
     * Returns all RSS/CSP external third party websites
     *
     * @param allPackageVersionId
     * @returns {object}
     *
     * {
     *   unlocked: boolean,
     *   trustedSites: [string]
     * }
     */
    _getExternalSites(allPackageVersionId: any): Promise<any>;
    /**
     * returns a human readable message for a cli output
     *
     * @returns {string}
     */
    getHumanSuccessMessage(result: any): any;
}
export = PackageInstallCommand;
