"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomObjectTranslationDecompositionConfig = void 0;
/**
 * Decomposition configuration for the describeMetadata decomposition and the folder per subtype
 * workspace manifestation.
 */
class CustomObjectTranslationDecompositionConfig {
    constructor(metadataName, isGlobal, isEmptyContainer) {
        this.strategy = 'describeMetadata';
        this.workspaceStrategy = 'folderPerSubtype';
        this.commitStrategy = 'virtualDecomposition';
        this.contentStrategy = 'N/A';
        this.metadataName = metadataName;
        this.isGlobal = isGlobal;
        this.isEmptyContainer = isEmptyContainer;
        this.useSparseComposition = false;
        this.decompositions = [];
    }
}
exports.CustomObjectTranslationDecompositionConfig = CustomObjectTranslationDecompositionConfig;

//# sourceMappingURL=customObjectTranslationDecompositionConfig.js.map
