/**
 * The minimum configuration for a metadata entity subtype (eg. CustomField).
 */
export interface DecomposedSubtypeConfig {
    metadataName: string;
    ext: string;
    defaultDirectory: string;
    hasStandardMembers: boolean;
    isAddressable: boolean;
}
/**
 * The minimum configuration for a decomposition. Each decomposed type has a single configuration associated
 * with it in the metadata repository. This configuration (and any extension) drives the runtime behavior of
 * decomposition.
 */
export interface DecompositionConfig {
    metadataName: string;
    isGlobal: boolean;
    isEmptyContainer: boolean;
    decompositions: DecomposedSubtypeConfig[];
    strategy: string;
    workspaceStrategy: string;
    commitStrategy: string;
    contentStrategy: string;
    useSparseComposition: boolean;
}
