import { DecompositionConfig } from './decompositionConfig';
import { DecompositionStrategy } from './decompositionStrategy';
import { DecompositionWorkspaceStrategy } from './decompositionWorkspaceStrategy';
import { DecompositionCommitStrategy } from './decompositionCommitStrategy';
import { ContentDecompositionStrategy } from './contentDecompositionStrategy';
import { MetadataType } from '../metadataType';
/**
 * Factory to instantiate a decomposition strategy given the strategy name.
 * Hopefully we will get a better DI infrastructure at some point.
 */
export declare class DecompositionStrategyFactory {
    static newDecompositionStrategy(config: DecompositionConfig): DecompositionStrategy;
    static newDecompositionWorkspaceStrategy(config: DecompositionConfig): DecompositionWorkspaceStrategy;
    static newDecompositionCommitStrategy(config: DecompositionConfig): DecompositionCommitStrategy;
    static newContentStrategy(metadataType: MetadataType, metadataRegistry: any, workspaceVersion: any): ContentDecompositionStrategy;
}
