import { DecompositionConfig, DecomposedSubtypeConfig } from './decompositionConfig';
/**
 * Subtype configuration for the describeMetadata decomposition.
 */
export declare class DescribeMetadataDecomposedSubtypeConfig implements DecomposedSubtypeConfig {
    metadataName: string;
    ext: string;
    hasStandardMembers: boolean;
    isAddressable: boolean;
    defaultDirectory: string;
    metadataEntityNameElement: string;
    xmlFragmentName: string;
}
/**
 * Decomposition configuration for the describeMetadata decomposition and the folder per subtype
 * workspace manifestation.
 */
export declare class DescribeMetadataDecompositionConfig implements DecompositionConfig {
    metadataName: string;
    isGlobal: boolean;
    isEmptyContainer: boolean;
    useSparseComposition: boolean;
    decompositions: DecomposedSubtypeConfig[];
    strategy: string;
    workspaceStrategy: string;
    commitStrategy: string;
    contentStrategy: string;
    constructor(metadataName: string, isGlobal: boolean, isEmptyContainer: boolean, useSparseComposition?: boolean);
}
