import { ForceIgnore } from '@salesforce/source-deploy-retrieve';
import { MetadataType } from '../metadataType';
import { NonDecomposedContentStrategy } from './nonDecomposedContentStrategy';
/**
 * Works on top of NonDecomposedContentStrategy with special logic to handle delete
 */
export declare class ExperienceBundleContentStrategy extends NonDecomposedContentStrategy {
    forceIgnore: ForceIgnore;
    constructor(metadataType: MetadataType, metadataRegistry: any, workspaceVersion: any);
    /**
     * If there is a file in existing path and if it didn't get returned in the MD-retrieve, then we assume it is deleted
     * Since, we need a list of all files from retrieve to compare we cannot use MetadataType#getWorkspaceElementsToDelete()
     */
    saveContent(metadataFilePath: string, retrievedContentFilePaths: string[], retrievedMetadataFilePath: string, createDuplicates: boolean, unsupportedMimeTypes: string[], forceoverwrite?: boolean): Promise<[string[], string[], string[], string[]]>;
}
