"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NonDecomposedContentAndMetadataDecompositionConfig = void 0;
/**
 *  Decomposition configuration for metadata types that do not require any content or metadata decompositions
 */
class NonDecomposedContentAndMetadataDecompositionConfig {
    constructor(metadataName, isGlobal, isEmptyContainer) {
        this.strategy = 'nonDecomposed';
        this.workspaceStrategy = 'nonDecomposed';
        this.commitStrategy = 'fineGrainTracking';
        this.metadataName = metadataName;
        this.isGlobal = isGlobal;
        this.isEmptyContainer = isEmptyContainer;
        this.useSparseComposition = false;
        this.decompositions = [];
        this.contentStrategy = 'nonDecomposedContent';
    }
}
exports.NonDecomposedContentAndMetadataDecompositionConfig = NonDecomposedContentAndMetadataDecompositionConfig;

//# sourceMappingURL=nonDecomposedContentAndMetadataDecompositionConfig.js.map
