import { MetadataDocument } from '../metadataDocument';
import { DecompositionConfig, DecomposedSubtypeConfig } from './decompositionConfig';
import { DecompositionStrategy } from './decompositionStrategy';
/**
 * Null decomposition strategy.
 */
export declare class NonDecomposedMetadataStrategy implements DecompositionStrategy {
    decompositionConfig: DecompositionConfig;
    constructor(decompositionConfig: DecompositionConfig);
    newContainerDocument(metadataName: string): MetadataDocument;
    newDecompositionDocument(metadataName: string): MetadataDocument;
    newComposedDocument(metadataName: string): MetadataDocument;
    compose(container: MetadataDocument, decompositions: Map<DecomposedSubtypeConfig, MetadataDocument[]>): MetadataDocument;
    decompose(composed: MetadataDocument, name: string, manifest?: any): [MetadataDocument, Map<DecomposedSubtypeConfig, MetadataDocument[]>];
    isComposable(): boolean;
}
