"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.StaticResourceDecompositionConfig = void 0;
class StaticResourceDecompositionConfig {
    constructor(metadataName, isGlobal, isEmptyContainer) {
        this.strategy = 'describeMetadata';
        this.workspaceStrategy = 'nonDecomposed';
        this.commitStrategy = 'fineGrainTracking';
        this.metadataName = metadataName;
        this.isGlobal = isGlobal;
        this.isEmptyContainer = isEmptyContainer;
        this.useSparseComposition = false;
        this.decompositions = [];
        this.contentStrategy = 'staticResource';
    }
}
exports.StaticResourceDecompositionConfig = StaticResourceDecompositionConfig;

//# sourceMappingURL=staticResourceDecompositionConfig.js.map
