import { MetadataDocument } from '../metadataDocument';
import { DecompositionConfig } from './decompositionConfig';
import { DecompositionCommitStrategy } from './decompositionCommitStrategy';
import { FineGrainTrackingCommitStrategy } from './fineGrainTrackingCommitStrategy';
/**
 * When we don't have fine grain tracking we most likely aren't decomposing into "real" (mdapi addressable) metadata entities.
 * In these virtual decomposition cases deletions become the responsibility of the decomposition.
 */
export declare class VirtualDecompositionCommitStrategy extends FineGrainTrackingCommitStrategy implements DecompositionCommitStrategy {
    constructor(decompositionConfig: DecompositionConfig);
    commit(documents: Map<string, MetadataDocument>, existingPaths: string[], createDuplicates: boolean, forceoverwrite?: boolean): Promise<[string[], string[], string[], string[]]>;
    getDeletedPaths(documents: Map<string, MetadataDocument>, existingPaths: string[]): string[];
}
