import { AnyJson } from '@salesforce/ts-types';
import { ManifestEntry, SourceOptions } from './types';
export declare const toManifest: (org: any, options: SourceOptions, tmpOutputDir?: string) => Promise<string | null>;
/**
 * Function to create a manifest for a given org
 *
 * @param org {AnyJson} An org
 * @param options {SourceOptions} Source options
 * @param mdPairs {ManifestEntry[]} Array of metadata items
 * @returns A package.xml manifest
 */
export declare const createManifest: (org: AnyJson, options: SourceOptions, mdPairs?: ManifestEntry[], tmpOutputDir?: string) => Promise<{
    file: string;
}>;
/**
 * Parse manifest entry strings into an array of ManifestEntry objects
 *
 * @param arg {string} The entry string; e.g., "ApexClass, CustomObject:MyObjectName"
 */
export declare const parseManifestEntries: (entries: string) => ManifestEntry[] | null;
