"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.FlowMetadataType = void 0;
const core_1 = require("@salesforce/core");
const defaultMetadataType_1 = require("./defaultMetadataType");
class FlowMetadataType extends defaultMetadataType_1.DefaultMetadataType {
    getDeprecationMessage(fullName) {
        if (/-[0-9]$/.test(fullName)) {
            core_1.Messages.importMessagesDirectory(__dirname);
            const messages = core_1.Messages.loadMessages('salesforce-alm', 'source');
            return messages.getMessage('flowDeprecation');
        }
    }
}
exports.FlowMetadataType = FlowMetadataType;

//# sourceMappingURL=flowMetadataType.js.map
