import { DefaultMetadataType } from './defaultMetadataType';
/**
 * Class to represent types that have childXmlNames, but are not decomposed
 * Since the child types are not decomposed into individual files in the workspace,
 * we do not have MetadataType representations for the child types themselves,
 * and any metadataType specific logic for those child types is handled in this class
 */
export declare class NondecomposedTypesWithChildrenMetadataType extends DefaultMetadataType {
    requiresIndividuallyAddressableMembersInPackage(): boolean;
    getAggregateFullNameFromSourceMemberName(sourceMemberName: any): string;
    /**
     * @param {string} sourceMemberType - could be the name of the Nondecomposed type itself (i.e. EscalationRules) or
     * the name of a child type (i.e. Escalation Rule (singular))
     * @returns {string}
     */
    getDisplayNameForRemoteChange(sourceMemberType: string): string;
    parseSourceMemberForMetadataRetrieve(sourceMemberName: string, sourceMemberType: string, isNameObsolete: boolean): any;
}
