import { NondecomposedTypesWithChildrenMetadataType } from './nondecomposedTypesWithChildrenMetadataType';
export declare class SharingRulesMetadataType extends NondecomposedTypesWithChildrenMetadataType {
    /**
     * Sharing rules are tracked at the fine-grained level on the server, but they are nondecomposed in the workspace
     * If a child of a sharing rule type has been changed on the server, this corresponds to the aggregate file in the workspace
     *
     * @param {string} sourceMemberFullName
     * @param {string} workspaceFullName
     * @returns {boolean}
     */
    sourceMemberFullNameCorrespondsWithWorkspaceFullName(sourceMemberFullName: string, workspaceFullName: string): boolean;
    getDisplayNameForRemoteChange(sourceMemberType: string): string;
    parseSourceMemberForMetadataRetrieve(sourceMemberName: string, sourceMemberType: string, isNameObsolete: boolean): any;
}
