import { DefaultMetadataType } from './defaultMetadataType';
export declare class StaticResourceMetadataType extends DefaultMetadataType {
    /**
     * Returns the file path to the corresponding static resource directory based on the static
     * resource sourcePath.  E.g.,
     *   force-app/main/default/staticresources/SiteSamples/img/ --> force-app/main/default/staticresources/SiteSample
     *   force-app/main/default/staticresources/SiteSamples/img/clock.png --> force-app/main/default/staticresources/SiteSample
     *
     * @param sourcePath absolute or relative path to a static resource file or sub-directory.
     */
    resolveSourcePath(sourcePath: string): string;
    private slicePath;
    getFullNameFromFilePath(filePath: string): string;
    getAggregateFullNameFromFilePath(filePath: string): string;
    getAggregateMetadataFilePathFromWorkspacePath(filePath: any): string;
    getOriginContentPathsForSourceConvert(metadataFilePath: string, workspaceVersion: string, unsupportedMimeTypes: string[], forceIgnore: any): Promise<string[]>;
    protected getMdapiFormattedContentFileName(originContentPath: string, aggregateFullName: string): string;
    mainContentFileExists(metadataFilePath: string): boolean;
    private static removeExtensions;
    getComponentFailureWorkspaceContentPath(metadataFilePath: string, workspaceContentPaths: string[]): string;
    shouldDeleteWorkspaceAggregate(metadataType: string): boolean;
}
