import { AsyncCreatable } from '@salesforce/kit';
import SourceMetadataMemberRetrieveHelper = require('./sourceMetadataMemberRetrieveHelper');
import { SourceWorkspaceAdapter } from './sourceWorkspaceAdapter';
import { AggregateSourceElements } from './aggregateSourceElements';
import { RemoteSourceTrackingService } from './remoteSourceTrackingService';
import { WorkspaceElementObj } from './workspaceElement';
export declare class MdapiPullApi extends AsyncCreatable<MdapiPullApi.Options> {
    smmHelper: SourceMetadataMemberRetrieveHelper;
    remoteSourceTrackingService: RemoteSourceTrackingService;
    obsoleteNames: any[];
    scratchOrg: any;
    swa: SourceWorkspaceAdapter;
    private readonly messages;
    private logger;
    private force;
    private statusApi;
    constructor(options: MdapiPullApi.Options);
    protected init(): Promise<void>;
    doPull(options: any): Promise<any>;
    _createPackageManifest(options: any, pkg: any): Promise<any>;
    static _didRetrieveSucceed(result: any): boolean;
    _postRetrieve(result: any, options: any): Promise<{
        inboundFiles: WorkspaceElementObj[];
    }>;
    _syncDownSource(result: any, options: any, swa: SourceWorkspaceAdapter): Promise<AggregateSourceElements>;
    _processResults(result: any, inboundFiles: WorkspaceElementObj[]): {
        inboundFiles: WorkspaceElementObj[];
    };
    _checkForConflicts(options: any): Promise<void | any[]>;
}
export declare namespace MdapiPullApi {
    interface Options {
        adapter?: SourceWorkspaceAdapter;
        org: any;
    }
}
