module.exports = {
  description: 'check the status of a metadata deployment',
  longDescription: 'Checks the current status of an asynchronous metadata deployment.',
  help: `Specify the job ID for the deploy you want to check. You can also specify a wait time (minutes) to check for updates to the deploy status.

Examples:

Deploy a directory of files to the org
  $ sfdx force:source:deploy -d <directory>
Now cancel this deployment and wait two minutes
  $ sfdx force:source:deploy:cancel -w 2

If you have multiple deployments in progress and want to cancel a specific one, specify the job ID
  $ sfdx force:source:deploy:cancel -i <jobid>
Check the status of the cancel job
  $ sfdx force:source:deploy:report`,

  jobId: 'job ID of the deployment you want to check; defaults to your most recent CLI deployment if not specified',
  jobIdLong: 'The job ID (asyncId) of the deployment you want to check. If not specified, the default value is the ID of the most recent metadata deployment you ran using Salesforce CLI. Use with -w to resume waiting.'
};
